PHP Manual
Prev |  | Next

# SWFButton->addAction()

(no version information, might be only in CVS)

SWFButton->addAction() -- Adds an action

## Description

class SWFButton {
void addAction ( SWFAction action, int flags )
}

Warning
This function is EXPERIMENTAL. The behaviour of this function, the name of this function, and anything else documented about this function may change without notice in a future release of PHP. Use this function at your own risk.

Adds the given `action` to the button for the given conditions.

## Parameters

`action`

  An SWFAction, returned by SWFAction->__construct().

`flags`

  The following `flags` are valid: `SWFBUTTON_MOUSEOVER`, `SWFBUTTON_MOUSEOUT`, `SWFBUTTON_MOUSEUP`, `SWFBUTTON_MOUSEUPOUTSIDE`, `SWFBUTTON_MOUSEDOWN`, `SWFBUTTON_DRAGOUT` and `SWFBUTTON_DRAGOVER`.

## Return Values

No value is returned.

## See Also

SWFButton->addShape()
SWFAction

Prev | Home | Next
SWFButton->__construct() | Up | SWFButton->addASound()